Ask questions about installing and configuring ProcessMaker 3

Moderator: amosbatto

By Ryguy2
#812426
I am trying to get process maker installed without WAMP or XAMPP. I have the software components installed, but when I go to localhost I receive this error:
Code: Select all
<?php
register_shutdown_function(
    create_function(
        "",
        "
        if (class_exists(\"Propel\")) {
            Propel::close();
        }
        "
    )
);

ini_set("session.cookie_httponly", 1);

if (isset($_SERVER['UNENCODED_URL'])) {
    $_SERVER['REQUEST_URI'] = $_SERVER['UNENCODED_URL'];
}

try {
    $rootDir = realpath(__DIR__ . "/../../") . DIRECTORY_SEPARATOR;

    require $rootDir . "framework/src/Maveriks/Util/ClassLoader.php";
    $loader = Maveriks\Util\ClassLoader::getInstance();
    $loader->add($rootDir . 'framework/src/', "Maveriks");

    if (! is_dir($rootDir . 'vendor')) {
        if (file_exists($rootDir . 'composer.phar')) {
            throw new Exception(
                "ERROR: Vendors are missing!" . PHP_EOL .
                "Please execute the following command to install vendors:" .PHP_EOL.PHP_EOL.
                "$>php composer.phar install"
            );
        } else {
            throw new Exception(
                "ERROR: Vendors are missing!" . PHP_EOL .
                "Please execute the following commands to prepare/install vendors:" .PHP_EOL.PHP_EOL.
                "$>curl -sS https://getcomposer.org/installer | php" . PHP_EOL .
                "$>php composer.phar install"
            );
        }
    }
    $loader->add($rootDir . 'workflow/engine/src/', "ProcessMaker");
    $loader->add($rootDir . 'workflow/engine/src/');

    // add vendors to autoloader
    $loader->add($rootDir . 'vendor/luracast/restler/vendor', "Luracast");
    $loader->add($rootDir . 'vendor/bshaffer/oauth2-server-php/src/', "OAuth2");
    $loader->addClass("Bootstrap", $rootDir . 'gulliver/system/class.bootstrap.php');

    $loader->addModelClassPath($rootDir . "workflow/engine/classes/model/");

    $app = new Maveriks\WebApplication();

    $app->setRootDir($rootDir);
    $app->setRequestUri($_SERVER['REQUEST_URI']);
    $stat = $app->route();

    switch ($stat)
    {
        case Maveriks\WebApplication::RUNNING_WORKFLOW:
            include "sysGeneric.php";
            break;

        case Maveriks\WebApplication::RUNNING_API:
            $app->run(Maveriks\WebApplication::SERVICE_API);
            break;

        case Maveriks\WebApplication::RUNNING_OAUTH2:
            $app->run(Maveriks\WebApplication::SERVICE_OAUTH2);
            break;

        case Maveriks\WebApplication::RUNNING_INDEX:
            $response = new Maveriks\Http\Response(file_get_contents("index.html"), 302);
            $response->send();
            break;

        case Maveriks\WebApplication::RUNNING_DEFAULT:
            $response = new Maveriks\Http\Response("", 302);
            //TODO compose this def url with configuration data from env.ini
            $response->setHeader("location", "/sys/en/neoclassic/login/login");
            $response->send();
            break;
    }

} catch (Exception $e) {
    $view = new Maveriks\Pattern\Mvc\PhtmlView($rootDir . "framework/src/templates/Exception.phtml");
    $view->set("message", $e->getMessage());
    $view->set("exception", $e);

    $response = new Maveriks\Http\Response($view->getOutput(), 503);
    $response->send();
} 
posting.php?mode=post&f=40#
My background isn't web, but we are doing some testing to see if we can get this spun up on a Windows Server. Thank you in advanced for any help.
User avatar
By amosbatto
#812433
It looks like you haven't configured Apache to execute PHP files. Can you post your https.conf and pmos.conf files?
By the way, which wiki page did you follow to install PM?
By azatrath
#817727
amosbatto wrote: Tue Dec 05, 2017 8:33 pm It looks like you haven't configured Apache to execute PHP files. Can you post your https.conf and pmos.conf files?
By the way, which wiki page did you follow to install PM?
hi amos,

As we talk before, i tried to upgrade my community PM 3.2.1 to PM 3.2.3, its failed. now i want to try your way, upgrade 3.2.2 then upgrade 3.2.3. before that i need to check can i do back up and restore. because our all data need to be safe. casue of this situation i am going to install PM 3.2.1 community to my PC and check restore and backup, after that i gonna upgrade PM 3.2.3.

So that, i was following this wiki "https://wiki.processmaker.com/3.0/Stack_210" and i got same failure such as this friend. i cant see pre-installation part. i did what wikia told me. what need to i do ?

btw i want to ask one more question. PM 3.2.1 and earlier have stack 210 and thats have
-PHP 5.5.x
-MySQL 5.5.x.
Stack 215 have 5.6.x version of PHP and MySQL. if i upgrade my PM version with that didnt i get any failure ?

Error :
Code: Select all
<?php
register_shutdown_function(
    create_function(
        "",
        "
        if (class_exists(\"Propel\")) {
            Propel::close();
        }
        "
    )
);

ini_set("session.cookie_httponly", 1);

if (isset($_SERVER['UNENCODED_URL'])) {
    $_SERVER['REQUEST_URI'] = $_SERVER['UNENCODED_URL'];
}

try {
    $rootDir = realpath(__DIR__ . "/../../") . DIRECTORY_SEPARATOR;

    require $rootDir . "framework/src/Maveriks/Util/ClassLoader.php";
    $loader = Maveriks\Util\ClassLoader::getInstance();
    $loader->add($rootDir . 'framework/src/', "Maveriks");

    if (! is_dir($rootDir . 'vendor')) {
        if (file_exists($rootDir . 'composer.phar')) {
            throw new Exception(
                "ERROR: Vendors are missing!" . PHP_EOL .
                "Please execute the following command to install vendors:" .PHP_EOL.PHP_EOL.
                "$>php composer.phar install"
            );
        } else {
            throw new Exception(
                "ERROR: Vendors are missing!" . PHP_EOL .
                "Please execute the following commands to prepare/install vendors:" .PHP_EOL.PHP_EOL.
                "$>curl -sS https://getcomposer.org/installer | php" . PHP_EOL .
                "$>php composer.phar install"
            );
        }
    }
    $loader->add($rootDir . 'workflow/engine/src/', "ProcessMaker");
    $loader->add($rootDir . 'workflow/engine/src/');

    // add vendors to autoloader
    $loader->add($rootDir . 'vendor/luracast/restler/vendor', "Luracast");
    $loader->add($rootDir . 'vendor/bshaffer/oauth2-server-php/src/', "OAuth2");
    $loader->addClass("Bootstrap", $rootDir . 'gulliver/system/class.bootstrap.php');

    $loader->addModelClassPath($rootDir . "workflow/engine/classes/model/");

    $app = new Maveriks\WebApplication();

    $app->setRootDir($rootDir);
    $app->setRequestUri($_SERVER['REQUEST_URI']);
    $stat = $app->route();

    switch ($stat)
    {
        case Maveriks\WebApplication::RUNNING_WORKFLOW:
            include "sysGeneric.php";
            break;

        case Maveriks\WebApplication::RUNNING_API:
            $app->run(Maveriks\WebApplication::SERVICE_API);
            break;

        case Maveriks\WebApplication::RUNNING_OAUTH2:
            $app->run(Maveriks\WebApplication::SERVICE_OAUTH2);
            break;

        case Maveriks\WebApplication::RUNNING_INDEX:
            $response = new Maveriks\Http\Response(file_get_contents("index.html"), 302);
            $response->send();
            break;

        case Maveriks\WebApplication::RUNNING_DEFAULT:
            $response = new Maveriks\Http\Response("", 302);
            //TODO compose this def url with configuration data from env.ini
            $response->setHeader("location", "/sys/en/neoclassic/login/login");
            $response->send();
            break;
    }

} catch (Exception $e) {
    $view = new Maveriks\Pattern\Mvc\PhtmlView($rootDir . "framework/src/templates/Exception.phtml");
    $view->set("message", $e->getMessage());
    $view->set("exception", $e);

    $response = new Maveriks\Http\Response($view->getOutput(), 503);
    $response->send();
}
User avatar
By amosbatto
#817769
Yes, you need to upgrade MySQL to version 5.6 and PHP to version 5.6 in order to do the upgrade from 3.2.1 to 3.2.2 and later.
I'll have to try doing it on my machine, to verify how to do it. Check back tomorrow.
Clarification on Due Date

Thanks for the more information. It's strange that[…]

Hi Amos, Thank you for your kind attention. It is[…]

You can refer to the answer: https://forum.process[…]

Switch from Apache2 to Nginx

Hi, We used Processmaker 3.3.6. Processmaker Swit[…]